<?php

/**
 * This file is part of LEPTON Core, released under the GNU GPL
 * Please see LICENSE and COPYING files in your package for details, specially for terms and warranties.
 * 
 * NOTICE:LEPTON CMS Package has several different licenses.
 * Please see the individual license in the header of each single file or info.php of modules and templates.
 *
 * @author          LEPTON Project
 * @copyright       2010-2023 LEPTON Project
 * @link            https://lepton-cms.org
 * @license         https://gnu.org/licenses/gpl-3.0.html
 * @license_terms   please see LICENSE and COPYING files in your package
 *
 */

// include class.secure.php to protect this file and the whole CMS!
if(!defined("SEC_FILE")){define("SEC_FILE",'/framework/class.secure.php' );}
if (defined('LEPTON_PATH')) {	
	include LEPTON_PATH.SEC_FILE;
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.SEC_FILE))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.SEC_FILE)) { 
		include $root.SEC_FILE;  
	} else {
		trigger_error(sprintf("[ %s ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php


$admin = new LEPTON_admin('admintools', 'admintools');

if(!isset($_GET['tool'])) 
{
	header("Location: index.php");
	exit(0);
}

// Check if tool is installed
$tool = [];
$result = $database->execute_query(
	"SELECT `name`,`directory` FROM `".TABLE_PREFIX."addons` WHERE type = 'module' AND `function` = 'tool' AND directory = '".addslashes($_GET['tool'])."'",
	true,
	$tool,
	false
);

if(empty($tool)) 
{
	header("Location: index.php");
	exit(0);
}

?>
<div class="ui basic segment">
<h3 class="ui header">
	<a href="<?php echo ADMIN_URL; ?>/admintools/index.php"><?php echo $HEADING['ADMINISTRATION_TOOLS']; ?></a>
	&raquo;
	<?php echo $tool['name']; ?>
</h3>
</div>
<?php

if(file_exists(LEPTON_PATH.'/modules/'.$tool['directory'].'/tool.php'))
{
	require(LEPTON_PATH.'/modules/'.$tool['directory'].'/tool.php');
	$admin->print_footer();
} 
else 
{
	$admin->print_error($MESSAGE['GENERIC_ERROR_OPENING_FILE'] );
}
