<?php

/**
 * This file is part of LEPTON Core, released under the GNU GPL
 * Please see LICENSE and COPYING files in your package for details, specially for terms and warranties.
 *
 * NOTICE:LEPTON CMS Package has several different licenses.
 * Please see the individual license in the header of each single file or info.php of modules and templates.
 *
 *
 * @author          LEPTON Project
 * @copyright       2010-2023 LEPTON Project
 * @link            https://lepton-cms.org
 * @license         https://gnu.org/licenses/gpl-3.0.html
 * @license_terms   please see LICENSE and COPYING files in your package
 *
 */

// include class.secure.php to protect this file and the whole CMS!
if (defined('LEPTON_PATH')) {
	include(LEPTON_PATH.'/framework/class.secure.php');
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) {
		include($root.'/framework/class.secure.php');
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php

$admin = LEPTON_admin::getInstance('Addons', 'modules_install');

$aLookForValues = [
    "btn_showmodinfo"   => ["type"  => "string", "default" => "" ]
];

$aPostedValues = LEPTON_request::getInstance()->testPostValues( $aLookForValues );

if( ( "" !== $aPostedValues["btn_showmodinfo"] ) && ( class_exists( $aPostedValues["btn_showmodinfo"], true ) ) )
{
    eval("\$oMODULE= ".$aPostedValues["btn_showmodinfo"]."::getInstance();");

    // show the module info
    $sSource = $oMODULE->showmodinfo();
    if( true !== $sSource )
    {
	    echo $sSource;
    }
}
// Print admin footer
$admin->print_footer();
