<?php

/**
 * This file is part of LEPTON Core, released under the GNU GPL
 * Please see LICENSE and COPYING files in your package for details, specially for terms and warranties.
 * 
 * NOTICE:LEPTON CMS Package has several different licenses.
 * Please see the individual license in the header of each single file or info.php of modules and templates.
 *
 * @author          LEPTON Project
 * @copyright       2010-2023 LEPTON Project
 * @link            https://lepton-cms.org
 * @license         https://gnu.org/licenses/gpl.html
 * @license_terms   please see LICENSE and COPYING files in your package
 *
 */

// include class.secure.php to protect this file and the whole CMS!
if(!defined("SEC_FILE")){define("SEC_FILE",'/framework/class.secure.php' );}
if (defined('LEPTON_PATH')) {	
	include LEPTON_PATH.SEC_FILE;
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.SEC_FILE))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.SEC_FILE)) { 
		include $root.SEC_FILE;  
	} else {
		trigger_error(sprintf("[ %s ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php


/**
 *  Checking a zip archive (e.g. before installing a module or template)
 *	@param  string  $aFileName  A valid filename (path).
 *  @return bool    True if "ok", false if e.g. archive include "bad" filenames/paths to extract.
 *
 */
 
 // not used in core 20221108 erpe, remove?
function check_zipfile ( string $aFileName="" ) : bool
{
    if($aFileName === "")
    {
        return false;
    }
        
    $archive = lib_lepton::getToolInstance("pclzip", $aFileName); //new PclZip($aFileName);
    
    $all_files_in_archive = $archive->listContent();
    
    if($all_files_in_archive === 0)
    {
        return false;
    }
    
    $matches = array();
    foreach($all_files_in_archive as $file){
        
        $result = preg_match_all(
            "/^[\.]{1,2}[\/|\\\](.*)$/s", // filename start with one or two dots ".", followed by a slash or backslash
            $file['filename'],
            $matches,
            PREG_SET_ORDER
        );
        
        if($result === 1)
        {
            echo(LEPTON_tools::display("Deprecated: function check_zipfile, will be removed in L*6.1.0", 'pre','ui red message'));
			return false;
        }
    }
    echo(LEPTON_tools::display("Deprecated: function check_zipfile, will be removed in L*6.1.0", 'pre','ui red message'));
    return true;
} 
