<?php

/**
 * This file is part of LEPTON Core, released under the GNU GPL
 * Please see LICENSE and COPYING files in your package for details, specially for terms and warranties.
 * 
 * NOTICE:LEPTON CMS Package has several different licenses.
 * Please see the individual license in the header of each single file or info.php of modules and templates.
 *
 * @author          LEPTON Project
 * @copyright       2010-2023 LEPTON Project
 * @link            https://lepton-cms.org
 * @license         https://gnu.org/licenses/gpl.html
 * @license_terms   please see LICENSE and COPYING files in your package
 *
 */

// include class.secure.php to protect this file and the whole CMS!
if(!defined("SEC_FILE")){define("SEC_FILE",'/framework/class.secure.php' );}
if (defined('LEPTON_PATH')) {	
	include LEPTON_PATH.SEC_FILE;
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.SEC_FILE))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.SEC_FILE)) { 
		include $root.SEC_FILE;  
	} else {
		trigger_error(sprintf("[ %s ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php


	
 /**
  * Build a full link
  **/
 function page_link($link)
 {
     $backtrace = debug_backtrace(DEBUG_BACKTRACE_IGNORE_ARGS, 2);
     echo (LEPTON_tools::display($backtrace, "pre", "ui message olive"));

	echo(LEPTON_tools::display('Deprecated: function page_link, will be removed in L*6.1.0', 'pre','ui red message'));	 
  // Check for :// in the link (used in URL's) as well as mailto:
  if ( strstr( $link, '://' ) == '' && substr( $link, 0, 7 ) != 'mailto:' )
  {
   return LEPTON_URL . PAGES_DIRECTORY . $link . PAGE_EXTENSION;
  } //strstr( $link, '://' ) == '' && substr( $link, 0, 7 ) != 'mailto:'
  else
  {
   return $link;
  }
 }
