<?php

/**
 * This file is part of LEPTON Core, released under the GNU GPL
 * Please see LICENSE and COPYING files in your package for details, specially for terms and warranties.
 * 
 * NOTICE:LEPTON CMS Package has several different licenses.
 * Please see the individual license in the header of each single file or info.php of modules and templates.
 *
 * @author          LEPTON Project
 * @copyright       2010-2023 LEPTON Project
 * @link            https://lepton-cms.org
 * @license         https://gnu.org/licenses/gpl.html
 * @license_terms   please see LICENSE and COPYING files in your package
 *
 */

// include class.secure.php to protect this file and the whole CMS!
if(!defined("SEC_FILE")){define("SEC_FILE",'/framework/class.secure.php' );}
if (defined('LEPTON_PATH')) {	
	include LEPTON_PATH.SEC_FILE;
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.SEC_FILE))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.SEC_FILE)) { 
		include $root.SEC_FILE;  
	} else {
		trigger_error(sprintf("[ %s ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php


/**
 *  Update the module informations in the DB
 *
 *  @param  string $directory Name of the modul-directory
 *  @param  bool   $upgrade Optional boolean to run the upgrade-script of the module.
 *
 *  @return  void
 *
 */
function upgrade_module(string $directory, bool $upgrade = false): void
{
	echo(LEPTON_tools::display('Deprecated: function upgrade_module, will be removed in L*6.1.0<br />use LEPTON_handle::upgrade_modules($module_name)', 'pre','ui red message'));	
    global $MESSAGE;
	$database = LEPTON_database::getInstance();
	$admin = LEPTON_admin::getInstance();
    global $module_license, $module_author, $module_name, $module_directory, $module_version, $module_function, $module_guid, $module_description, $module_platform;
    
    $fields = array(
        'version'       => $module_version,
        'description'   => $module_description,
        'platform'      => $module_platform,
        'author'        => $module_author,
        'license'       => $module_license ,
        'guid'          => $module_guid 
    );
    
    $database->build_and_execute(
        'update',
        TABLE_PREFIX . "addons",
        $fields,
        "`directory`= '" . $module_directory . "'"
    );
    
    if($directory != $module_directory)
    {
        $directory = $module_directory;
    }
    
    if (true === $upgrade)
    {
        $temp_filename = LEPTON_PATH."/modules/".$directory."/upgrade.php";
    
        if (file_exists($temp_filename))
        {
            require $temp_filename;
        }
    }
}
