<?php

declare(strict_types=1);

/**
 * This file is part of an ADDON for use with LEPTON Core.
 * This ADDON is released under the GNU GPL.
 * Additional license terms can be seen in the info.php of this module.
 *
 *
 *	@module			captcha
 *	@version		see info.php of this module
 *	@authors		LEPTON Project, W. Studer
 *	@copyright		2010-2023 LEPTON Project
 *	@link			https://lepton-cms.org
 *	@license		https://gnu.org/licenses/gpl.html
 *	@license_terms	please see info.php of this module
 *	@platform		see info.php of this module
 *
 *
 */

class captcha_control_services
{
    protected bool $keepCurrentCaptcha = false;

    static $instance;

    public static function getInstance()
    {
        if (null === static::$instance)
        {
            static::$instance = new static();
        }
        return static::$instance;
    }

    /**
     * @return bool
     */
    public function isKeepCurrentCaptcha(): bool
    {
        return $this->keepCurrentCaptcha;
    }

    /**
     * @param bool $keepCurrentCaptcha
     */
    public function setKeepCurrentCaptcha(bool $keepCurrentCaptcha): void
    {
        $this->keepCurrentCaptcha = $keepCurrentCaptcha;
    }

}