<?php

/**
 * This file is part of an ADDON for use with LEPTON Core.
 * This ADDON is released under the GNU GPL.
 * Additional license terms can be seen in the info.php of this module.
 *
 *
 *	@module			captcha
 *	@version		see info.php of this module
 *	@authors		LEPTON Project, W. Studer
 *	@copyright		2010-2023 LEPTON Project
 *	@link			https://lepton-cms.org
 *	@license		https://gnu.org/licenses/gpl.html
 *	@license_terms	please see info.php of this module
 *	@platform		see info.php of this module
 *
 *
 */

// include class.secure.php to protect this file and the whole CMS!
if(!defined("SEC_FILE")){define("SEC_FILE",'/framework/class.secure.php' );}
if (defined('LEPTON_PATH')) {	
	include LEPTON_PATH.SEC_FILE;
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.SEC_FILE))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.SEC_FILE)) { 
		include $root.SEC_FILE;   
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php


// repair database
$database = LEPTON_database::getInstance();
$release = $database->get_one("SELECT version FROM ".TABLE_PREFIX."addons WHERE directory = 'captcha_control'");
if ($release < '2.5.0')
{
	$database->simple_query("ALTER TABLE ".TABLE_PREFIX."mod_captcha_control ADD `id` INT(1) NOT NULL AUTO_INCREMENT FIRST, ADD PRIMARY KEY (`id`)");
	$database->simple_query("ALTER TABLE ".TABLE_PREFIX."mod_captcha_control CHANGE `enabled_captcha` `enabled_captcha` INT(1) NOT NULL DEFAULT 1 ");
	$database->simple_query("ALTER TABLE ".TABLE_PREFIX."mod_captcha_control CHANGE `enabled_asp` `enabled_asp` INT(1) NOT NULL DEFAULT 0 ");
	$database->simple_query("ALTER TABLE ".TABLE_PREFIX."mod_captcha_control CHANGE `ct_text` `ct_text` TEXT NOT NULL");
}


