<?php

/**
 * This file is part of LEPTON Core, released under the GNU GPL
 * Please see LICENSE and COPYING files in your package for details, specially for terms and warranties.
 * 
 * NOTICE:LEPTON CMS Package has several different licenses.
 * Please see the individual license in the header of each single file or info.php of modules and templates.
 *
 * @author          LEPTON Project
 * @copyright       2010-2023 LEPTON Project
 * @link            https://lepton-cms.org
 * @license         https://gnu.org/licenses/gpl.html
 * @license_terms   please see LICENSE and COPYING files in your package
 *
 */


// include class.secure.php to protect this file and the whole CMS!
if(!defined("SEC_FILE")){define("SEC_FILE",'/framework/class.secure.php' );}
if (defined('LEPTON_PATH')) {	
	include LEPTON_PATH.SEC_FILE;
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.SEC_FILE))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.SEC_FILE)) { 
		include $root.SEC_FILE;  
	} else {
		trigger_error(sprintf("[ %s ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php

$leptoken = (isset($_GET['leptoken'])) ? "?leptoken=".$_GET['leptoken'] : "";
$backlink = "../modules/index.php".$leptoken;

if (!isset($_POST['module_id']) OR $_POST['module_id'] == "")
{
	header("Location: ".$backlink);
	exit(0);
} 
else 
{
	$module_id = intval($_POST['module_id']);
	
	if ($module_id == 0) {
		header("Location: ".$backlink);
		exit(0);
	}
}

// get twig instance
$admin = LEPTON_admin::getInstance();
$oTWIG = lib_twig_box::getInstance();

// get values
$current_module = [];
$database->execute_query(
	"SELECT * FROM `".TABLE_PREFIX."addons` WHERE addon_id = ".$module_id." ",
	true,
	$current_module,
	false
);

// check if a module description exists for the displayed backend language
if(file_exists(LEPTON_PATH.'/modules/'.$current_module['directory'].'/languages/'.LANGUAGE .'.php'))
{
	require_once LEPTON_PATH .'/modules/' .$current_module['directory'] .'/languages/' .LANGUAGE .'.php';
	if(isset($module_description))
	{
		// Override the module-description with correct desription in users language
		$current_module['description'] = $module_description;
	}
	else	
	{
		$current_module['description'] = $current_module['description'];
	}
}	

					
switch ($current_module['function']) 
{
	case NULL:
		$type_name = $TEXT['UNKNOWN'];
		break;
	case 'page':
		$type_name = $TEXT['PAGE'];
		break;
	case 'wysiwyg':
		$type_name = $TEXT['WYSIWYG_EDITOR'];
		break;
	case 'tool':
		$type_name = $TEXT['ADMINISTRATION_TOOL'];
		break;
	case 'admin':
		$type_name = $TEXT['ADMIN'];
		break;
	case 'administration':
		$type_name = $TEXT['ADMINISTRATION'];
		break;
	case 'snippet':
		$type_name = $TEXT['CODE_SNIPPET'];
		break;
	case 'library':
		$type_name = $TEXT['LIBRARY'];	
		break;
	default:
		$type_name = $TEXT['UNKNOWN'];
}


// Insert language text and messages
$page_values = array(
	'current'	=>$current_module,
	'type'		=>$type_name
);

$oTWIG->registerPath( THEME_PATH."/templates","modules_details" );
echo $oTWIG->render(
	"@theme/modules_details.lte",
	$page_values
);

// Print admin footer
$admin->print_footer();
